/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         el_yyparse
#define yylex           el_yylex
#define yyerror         el_yyerror
#define yydebug         el_yydebug
#define yynerrs         el_yynerrs

#define yylval          el_yylval
#define yychar          el_yychar

/* Copy the first part of user declarations.  */
#line 77 "libs/el32/el.y" /* yacc.c:339  */

#include	<stdio.h>
#include	<stdlib.h>
#include	<stdarg.h>
#include	<string.h>
#include	<setjmp.h>
#include	<std.h>
#undef		INITIAL

#include	"eli.h"
#include	"interp.h"
#include	"syn.h"

static	NAME	*cfunc	;

GFUNC	int	el_getc	() ;
GFUNC	size_t	el_read	(char *, size_t) ;
GFUNC	int	yylex	() ;
GFUNC	void	_el_yyerror (const char *fmt, ...) ;

#if		defined(_DOS) || defined(_WINDOWS)
#define		alloca	malloc
#endif		/* _DOS || _WINDOWS */

#line 99 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif


/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int el_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    T_AND = 258,
    T_ANDIF = 259,
    T_ANY = 260,
    T_ASSIGN = 261,
    T_BREAK = 262,
    T_CASE = 263,
    T_CHAR = 264,
    T_CLOSE = 265,
    T_COMMA = 266,
    T_COMP = 267,
    T_CONST = 268,
    T_CONTINUE = 269,
    T_DEFAULT = 270,
    T_DIV = 271,
    T_ELSE = 272,
    T_ENDCASE = 273,
    T_EQ = 274,
    T_FOR = 275,
    T_GLOBAL = 276,
    T_GT = 277,
    T_GTEQ = 278,
    T_IF = 279,
    T_LBRA = 280,
    T_LOCAL = 281,
    T_LSUB = 282,
    T_MINUS = 283,
    T_MULT = 284,
    T_MODULE = 285,
    T_NEQ = 286,
    T_NOT = 287,
    T_NUM = 288,
    T_DBL = 289,
    T_NUMBER = 290,
    T_DOUBLE = 291,
    T_OPEN = 292,
    T_OR = 293,
    T_ORIF = 294,
    T_NAME = 295,
    T_PLUS = 296,
    T_PUBLIC = 297,
    T_RBRA = 298,
    T_REM = 299,
    T_RETURN = 300,
    T_RSUB = 301,
    T_SEMI = 302,
    T_SHL = 303,
    T_SHR = 304,
    T_STR = 305,
    T_STRING = 306,
    T_SWITCH = 307,
    T_LT = 308,
    T_LTEQ = 309,
    T_USER = 310,
    T_WHILE = 311,
    T_XOR = 312,
    T_APLUS = 313,
    T_AMINUS = 314,
    T_AMULT = 315,
    T_ADIV = 316,
    T_AREM = 317,
    T_AOR = 318,
    T_AAND = 319,
    T_AXOR = 320,
    T_INCR = 321,
    T_DECR = 322,
    T_QUERY = 323,
    T_COLON = 324,
    T_DOT = 325,
    T_VEC = 326,
    T_HASH = 327,
    T_MATCH = 328
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 103 "libs/el32/el.y" /* yacc.c:355  */

	ENODE		*enode	;
	const char	*name	;
	STMT		*stmt	;
	CASE		*cases	;
	int		scope	;
	int		value	;

	int		_num	;
	double		_dbl	;
	const char	*_str	;

#line 223 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif


extern YYSTYPE el_yylval;

int el_yyparse (void);



/* Copy the second part of user declarations.  */

#line 240 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  17
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   1084

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  74
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  38
/* YYNRULES -- Number of rules.  */
#define YYNRULES  115
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  216

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   328

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint8 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   169,   169,   172,   171,   174,   176,   177,   179,   180,
     181,   186,   193,   192,   201,   202,   203,   207,   208,   209,
     210,   211,   212,   217,   221,   222,   223,   224,   229,   230,
     235,   234,   245,   245,   247,   247,   251,   252,   255,   258,
     259,   260,   263,   264,   267,   268,   277,   278,   281,   285,
     284,   290,   289,   295,   294,   301,   302,   303,   304,   305,
     306,   307,   310,   311,   314,   317,   321,   322,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   336,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   365,   366,
     367,   368,   371,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   387,   398,   400,   404
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "T_AND", "T_ANDIF", "T_ANY", "T_ASSIGN",
  "T_BREAK", "T_CASE", "T_CHAR", "T_CLOSE", "T_COMMA", "T_COMP", "T_CONST",
  "T_CONTINUE", "T_DEFAULT", "T_DIV", "T_ELSE", "T_ENDCASE", "T_EQ",
  "T_FOR", "T_GLOBAL", "T_GT", "T_GTEQ", "T_IF", "T_LBRA", "T_LOCAL",
  "T_LSUB", "T_MINUS", "T_MULT", "T_MODULE", "T_NEQ", "T_NOT", "T_NUM",
  "T_DBL", "T_NUMBER", "T_DOUBLE", "T_OPEN", "T_OR", "T_ORIF", "T_NAME",
  "T_PLUS", "T_PUBLIC", "T_RBRA", "T_REM", "T_RETURN", "T_RSUB", "T_SEMI",
  "T_SHL", "T_SHR", "T_STR", "T_STRING", "T_SWITCH", "T_LT", "T_LTEQ",
  "T_USER", "T_WHILE", "T_XOR", "T_APLUS", "T_AMINUS", "T_AMULT", "T_ADIV",
  "T_AREM", "T_AOR", "T_AAND", "T_AXOR", "T_INCR", "T_DECR", "T_QUERY",
  "T_COLON", "T_DOT", "T_VEC", "T_HASH", "T_MATCH", "$accept", "program",
  "module", "$@1", "declist", "declaration", "vardef", "funcdef", "$@2",
  "scope", "value", "condef", "constant", "varlist", "$@3", "block", "$@4",
  "$@5", "loclist", "locdecl", "blklist", "blkitem", "statlist",
  "statement", "$@6", "$@7", "$@8", "caselist", "caseitem", "nulle",
  "assexpr", "queryexpr", "binaryexpr", "unaryexpr", "methodapp", "expr",
  "assl", "name", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328
};
# endif

#define YYPACT_NINF -99

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-99)))

#define YYTABLE_NINF -115

#define yytable_value_is_error(Yytable_value) \
  0

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const yytype_int16 yypact[] =
{
     219,   -37,   -99,   -99,   -37,   -99,     5,   -99,   -99,    97,
     -99,   -99,   112,   -99,   -99,     9,   -30,   -99,   -99,   -99,
     -99,   -99,   -99,   -99,   -37,    -5,   -99,   -14,   -99,   -99,
     -99,   -99,   -25,    97,   -99,   -99,   -99,   -99,    88,   -37,
     -20,    13,   -11,    17,    11,   -99,    88,    12,   881,   -99,
     222,   881,    12,   -15,   929,    -8,    -2,    60,    61,   929,
     929,   895,   -99,    62,    66,   929,   929,   -99,   -99,    89,
     881,   -99,   -99,   -99,   -99,   -99,   125,   622,   913,   -37,
      51,    91,    90,   -99,   -99,    18,   -99,   -99,   929,   929,
     180,    18,   -99,   235,   929,   929,    18,    18,   -99,   -99,
     929,   929,   929,   929,   929,   929,   929,   929,   929,   929,
     929,   929,   929,   929,   929,   929,   -99,   929,   929,   929,
     929,   929,   929,    63,   929,   929,   929,   929,   929,   929,
     929,   929,   929,   929,   100,   -99,   222,   -99,    65,   620,
     290,   -99,   -99,   345,   400,   980,   766,   620,    -7,  1014,
      67,    67,    64,   455,     0,    -7,  1014,   802,   730,     0,
      -7,   160,   160,    67,    67,   838,   510,    84,  1014,   675,
     675,   675,   675,   675,   675,   675,   675,   675,   929,   -99,
     929,   881,   -99,   -99,   -99,   923,   929,   929,   675,    77,
      96,    93,   881,   766,    71,   929,   881,     6,   -99,   -99,
      92,   -99,   929,    82,   122,     6,   -99,   565,   881,   -99,
     -99,   881,   881,   -99,   -99,   -99
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint8 yydefact[] =
{
       0,     0,    14,    15,     0,    16,     0,     2,     5,     6,
       8,     9,    22,    10,   115,     0,     0,     1,     7,    17,
      18,    19,    20,    21,     0,     0,     3,     0,    27,    24,
      25,    26,     0,     0,    12,    11,    23,     4,    22,     0,
       0,    29,     0,     0,    34,    13,    22,     0,     0,    31,
      22,     0,    36,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    61,     0,     0,     0,     0,   103,    46,     0,
      44,   104,   105,   106,   107,   108,     0,     0,   109,     0,
       0,    40,     0,    37,    55,    99,    56,    57,    66,     0,
       0,    98,    58,     0,     0,     0,   100,   101,    35,    45,
       0,     0,     0,     0,     0,     0,     0,    66,     0,     0,
       0,     0,     0,     0,     0,     0,    60,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    42,    38,    22,    33,     0,    67,
       0,   111,    59,     0,     0,    78,    81,    88,    86,    90,
      93,    94,     0,     0,    84,    85,    89,    79,    82,    83,
      87,    95,    96,    91,    92,    80,     0,     0,    97,    68,
      69,    70,    71,    72,    73,    74,    75,    76,     0,    41,
      66,     0,    53,    49,   110,   112,     0,    66,    43,     0,
      47,     0,     0,    77,     0,    66,     0,     0,    50,   102,
       0,    48,     0,     0,     0,    62,    51,     0,     0,    54,
      63,     0,     0,    65,    52,    64
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int8 yypgoto[] =
{
     -99,   -99,   -99,   -99,     1,   -99,   -99,   -99,   -99,   -99,
     -10,   -99,   115,   109,   -99,   116,   -99,   -99,   108,   -99,
      29,   -99,   -51,   -91,   -99,   -99,   -99,   -35,   -99,   -98,
     -99,   -99,   -99,   -99,   -99,   -53,   -99,    80
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     6,     7,    33,     8,     9,    10,    11,    38,    12,
      39,    13,    67,    40,    43,    68,    47,    48,    51,    52,
      80,    81,    69,    70,   192,   211,   191,   204,   205,   138,
      71,    72,    73,    74,    75,    76,    77,    78
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      82,    85,    24,    14,    28,    17,    90,    91,    93,   152,
      18,    34,    96,    97,   202,    25,   103,    26,   107,    99,
     108,   203,    36,    42,   -30,   107,    44,   108,    46,   110,
      29,    30,    84,    35,    37,   139,   140,   -32,    50,    86,
      79,   143,   144,   107,   115,    87,    31,   145,   146,   147,
     148,   149,   150,   151,   139,   153,   154,   155,   156,   157,
     158,   159,   160,   123,   161,   162,   163,   164,   165,   166,
     123,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,    15,   189,   103,    16,    88,    89,    94,   123,   194,
     190,    95,   107,    19,   108,   109,   110,   200,   135,    98,
     137,   198,   136,   167,    27,   201,   178,   184,   114,   187,
       1,   115,   180,   196,   199,   117,   118,    19,     2,    41,
     214,    20,    21,     3,   195,   188,    79,   139,   100,   101,
     197,   -28,   209,   193,   139,   206,   102,   123,    22,     5,
      32,   103,   139,    23,   104,    20,    21,   105,   106,   207,
     107,   208,   108,   109,   110,    49,   111,   213,    45,   134,
      83,   215,    22,   112,   113,   179,   114,    23,     0,   115,
     210,     0,   116,   117,   118,     0,   103,     0,   119,   120,
       0,     0,   121,   100,   101,   107,     0,   108,   109,   110,
       0,   102,     0,   122,     0,   123,   103,     0,   124,   104,
       0,   114,   105,   106,   115,   107,     0,   108,   109,   110,
       0,   111,     0,     0,     0,     0,     0,     0,   112,   113,
       0,   114,     0,   141,   115,     0,     0,    19,   117,   118,
     123,     0,     1,   119,   120,     0,     0,   121,   100,   101,
       2,     0,     0,     0,     0,     3,   102,     0,   122,     4,
     123,   103,     0,   124,   104,    20,    21,   105,   106,     0,
     107,     5,   108,   109,   110,     0,   111,     0,     0,   -39,
       0,     0,    22,   112,   113,     0,   114,    23,     0,   115,
       0,     0,   142,   117,   118,     0,     0,     0,   119,   120,
       0,     0,   121,   100,   101,     0,     0,     0,     0,     0,
       0,   102,     0,   122,     0,   123,   103,     0,   124,   104,
       0,     0,   105,   106,     0,   107,     0,   108,   109,   110,
       0,   111,     0,     0,     0,     0,     0,     0,   112,   113,
       0,   114,     0,   181,   115,     0,     0,     0,   117,   118,
       0,     0,     0,   119,   120,     0,     0,   121,   100,   101,
       0,     0,     0,     0,     0,     0,   102,     0,   122,     0,
     123,   103,     0,   124,   104,     0,     0,   105,   106,     0,
     107,     0,   108,   109,   110,     0,   111,     0,     0,     0,
       0,     0,     0,   112,   113,     0,   114,     0,   182,   115,
       0,     0,     0,   117,   118,     0,     0,     0,   119,   120,
       0,     0,   121,   100,   101,     0,     0,     0,     0,     0,
       0,   102,     0,   122,     0,   123,   103,     0,   124,   104,
       0,     0,   105,   106,     0,   107,     0,   108,   109,   110,
       0,   111,     0,     0,     0,     0,     0,     0,   112,   113,
       0,   114,     0,   183,   115,     0,     0,     0,   117,   118,
       0,     0,     0,   119,   120,     0,     0,   121,   100,   101,
       0,     0,     0,     0,     0,     0,   102,     0,   122,     0,
     123,   103,     0,   124,   104,     0,     0,   105,   106,     0,
     107,     0,   108,   109,   110,     0,   111,     0,     0,     0,
       0,     0,     0,   112,   113,     0,   114,     0,     0,   115,
       0,   185,     0,   117,   118,     0,     0,     0,   119,   120,
       0,     0,   121,   100,   101,     0,     0,     0,     0,     0,
       0,   102,     0,   122,     0,   123,   103,     0,   124,   104,
       0,     0,   105,   106,     0,   107,     0,   108,   109,   110,
       0,   111,     0,     0,     0,     0,     0,     0,   112,   113,
       0,   114,     0,     0,   115,     0,     0,     0,   117,   118,
       0,     0,     0,   119,   120,     0,     0,   121,   100,   101,
       0,     0,     0,     0,     0,     0,   102,     0,   122,   186,
     123,   103,     0,   124,   104,     0,     0,   105,   106,     0,
     107,     0,   108,   109,   110,     0,   111,     0,     0,     0,
       0,     0,     0,   112,   113,     0,   114,     0,     0,   115,
       0,     0,     0,   117,   118,     0,     0,     0,   119,   120,
       0,     0,   121,   100,   101,     0,     0,     0,   125,     0,
       0,   102,     0,   122,   212,   123,   103,     0,   124,   104,
       0,     0,   105,   106,     0,   107,     0,   108,   109,   110,
       0,   111,     0,     0,     0,     0,     0,     0,   112,   113,
       0,   114,     0,     0,   115,     0,     0,     0,   117,   118,
       0,     0,     0,   119,   120,     0,     0,   121,   100,   101,
     126,   127,   128,   129,   130,   131,   132,   133,   122,     0,
     123,   103,     0,   124,   104,     0,     0,   105,   106,     0,
     107,     0,   108,   109,   110,     0,   111,     0,     0,     0,
       0,     0,     0,   112,   113,     0,   114,     0,     0,   115,
       0,     0,     0,   117,   118,     0,     0,     0,   119,   120,
       0,     0,   121,   100,   101,     0,     0,     0,     0,     0,
       0,     0,     0,   122,     0,   123,   103,     0,   124,   104,
       0,     0,   105,   106,     0,   107,     0,   108,   109,   110,
       0,   111,     0,     0,     0,     0,     0,     0,   112,   100,
       0,   114,     0,     0,   115,     0,     0,     0,   117,   118,
       0,     0,   103,   119,   120,   104,     0,   121,   105,   106,
       0,   107,     0,   108,   109,   110,     0,   111,   122,     0,
     123,     0,     0,   124,   112,   100,     0,   114,     0,     0,
     115,     0,     0,     0,   117,   118,     0,     0,   103,   119,
     120,   104,     0,   121,   105,   106,     0,   107,     0,   108,
     109,   110,     0,   111,   122,     0,   123,     0,     0,   124,
       0,   100,     0,   114,     0,     0,   115,     0,     0,     0,
     117,   118,     0,     0,   103,   119,   120,   104,     0,   121,
     105,   106,     0,   107,     0,   108,   109,   110,     0,   111,
       0,     0,   123,     0,     0,   124,     0,     0,     0,   114,
       0,     0,   115,     0,     0,     0,   117,   118,    53,     0,
      28,   119,   120,    54,     0,    55,     0,     0,     0,    56,
       0,    57,     0,     0,    28,    58,    59,    54,   123,     0,
       0,   124,     0,    60,     0,     0,    29,    30,    44,  -113,
      59,    14,     0,     0,     0,     0,    61,    60,    62,  -114,
      29,    30,    31,    63,     0,    14,     0,    64,    28,     0,
       0,    54,    92,     0,     0,     0,    31,     0,     0,     0,
       0,     0,    65,    66,    59,     0,     0,     0,     0,     0,
       0,    60,     0,     0,    29,    30,    65,    66,     0,    14,
       0,  -113,  -113,  -113,  -113,  -113,  -113,  -113,  -113,     0,
      31,  -114,  -114,  -114,  -114,  -114,  -114,  -114,  -114,     0,
       0,     0,     0,     0,     0,     0,   103,     0,     0,   104,
      65,    66,   105,   106,     0,   107,     0,   108,   109,   110,
       0,   111,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   114,     0,     0,   115,     0,     0,     0,   117,   118,
     103,     0,     0,   119,   120,     0,   105,   106,     0,   107,
       0,   108,   109,   110,     0,     0,     0,     0,     0,     0,
     123,     0,     0,   124,     0,   114,     0,     0,   115,     0,
       0,     0,   117,   118,     0,     0,     0,   119,   120,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   123
};

static const yytype_int16 yycheck[] =
{
      51,    54,    12,    40,     9,     0,    59,    60,    61,   107,
       9,    25,    65,    66,     8,     6,    16,    47,    25,    70,
      27,    15,    47,    43,    11,    25,    37,    27,    11,    29,
      35,    36,    47,    47,    33,    88,    89,    26,    26,    47,
      50,    94,    95,    25,    44,    47,    51,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,    70,   117,   118,   119,   120,   121,   122,
      70,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,     1,   180,    16,     4,    25,    25,    25,    70,   187,
     181,    25,    25,     5,    27,    28,    29,   195,    47,    10,
      10,   192,    11,    40,    24,   196,     6,    43,    41,    25,
      13,    44,    47,    17,    43,    48,    49,     5,    21,    39,
     211,    33,    34,    26,    47,   178,   136,   180,     3,     4,
      37,    43,    10,   186,   187,    43,    11,    70,    50,    42,
      25,    16,   195,    55,    19,    33,    34,    22,    23,   202,
      25,    69,    27,    28,    29,    46,    31,   208,    42,    79,
      52,   212,    50,    38,    39,   136,    41,    55,    -1,    44,
     205,    -1,    47,    48,    49,    -1,    16,    -1,    53,    54,
      -1,    -1,    57,     3,     4,    25,    -1,    27,    28,    29,
      -1,    11,    -1,    68,    -1,    70,    16,    -1,    73,    19,
      -1,    41,    22,    23,    44,    25,    -1,    27,    28,    29,
      -1,    31,    -1,    -1,    -1,    -1,    -1,    -1,    38,    39,
      -1,    41,    -1,    43,    44,    -1,    -1,     5,    48,    49,
      70,    -1,    13,    53,    54,    -1,    -1,    57,     3,     4,
      21,    -1,    -1,    -1,    -1,    26,    11,    -1,    68,    30,
      70,    16,    -1,    73,    19,    33,    34,    22,    23,    -1,
      25,    42,    27,    28,    29,    -1,    31,    -1,    -1,    47,
      -1,    -1,    50,    38,    39,    -1,    41,    55,    -1,    44,
      -1,    -1,    47,    48,    49,    -1,    -1,    -1,    53,    54,
      -1,    -1,    57,     3,     4,    -1,    -1,    -1,    -1,    -1,
      -1,    11,    -1,    68,    -1,    70,    16,    -1,    73,    19,
      -1,    -1,    22,    23,    -1,    25,    -1,    27,    28,    29,
      -1,    31,    -1,    -1,    -1,    -1,    -1,    -1,    38,    39,
      -1,    41,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    53,    54,    -1,    -1,    57,     3,     4,
      -1,    -1,    -1,    -1,    -1,    -1,    11,    -1,    68,    -1,
      70,    16,    -1,    73,    19,    -1,    -1,    22,    23,    -1,
      25,    -1,    27,    28,    29,    -1,    31,    -1,    -1,    -1,
      -1,    -1,    -1,    38,    39,    -1,    41,    -1,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    53,    54,
      -1,    -1,    57,     3,     4,    -1,    -1,    -1,    -1,    -1,
      -1,    11,    -1,    68,    -1,    70,    16,    -1,    73,    19,
      -1,    -1,    22,    23,    -1,    25,    -1,    27,    28,    29,
      -1,    31,    -1,    -1,    -1,    -1,    -1,    -1,    38,    39,
      -1,    41,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    53,    54,    -1,    -1,    57,     3,     4,
      -1,    -1,    -1,    -1,    -1,    -1,    11,    -1,    68,    -1,
      70,    16,    -1,    73,    19,    -1,    -1,    22,    23,    -1,
      25,    -1,    27,    28,    29,    -1,    31,    -1,    -1,    -1,
      -1,    -1,    -1,    38,    39,    -1,    41,    -1,    -1,    44,
      -1,    46,    -1,    48,    49,    -1,    -1,    -1,    53,    54,
      -1,    -1,    57,     3,     4,    -1,    -1,    -1,    -1,    -1,
      -1,    11,    -1,    68,    -1,    70,    16,    -1,    73,    19,
      -1,    -1,    22,    23,    -1,    25,    -1,    27,    28,    29,
      -1,    31,    -1,    -1,    -1,    -1,    -1,    -1,    38,    39,
      -1,    41,    -1,    -1,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    53,    54,    -1,    -1,    57,     3,     4,
      -1,    -1,    -1,    -1,    -1,    -1,    11,    -1,    68,    69,
      70,    16,    -1,    73,    19,    -1,    -1,    22,    23,    -1,
      25,    -1,    27,    28,    29,    -1,    31,    -1,    -1,    -1,
      -1,    -1,    -1,    38,    39,    -1,    41,    -1,    -1,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    53,    54,
      -1,    -1,    57,     3,     4,    -1,    -1,    -1,     6,    -1,
      -1,    11,    -1,    68,    69,    70,    16,    -1,    73,    19,
      -1,    -1,    22,    23,    -1,    25,    -1,    27,    28,    29,
      -1,    31,    -1,    -1,    -1,    -1,    -1,    -1,    38,    39,
      -1,    41,    -1,    -1,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    53,    54,    -1,    -1,    57,     3,     4,
      58,    59,    60,    61,    62,    63,    64,    65,    68,    -1,
      70,    16,    -1,    73,    19,    -1,    -1,    22,    23,    -1,
      25,    -1,    27,    28,    29,    -1,    31,    -1,    -1,    -1,
      -1,    -1,    -1,    38,    39,    -1,    41,    -1,    -1,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    53,    54,
      -1,    -1,    57,     3,     4,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    68,    -1,    70,    16,    -1,    73,    19,
      -1,    -1,    22,    23,    -1,    25,    -1,    27,    28,    29,
      -1,    31,    -1,    -1,    -1,    -1,    -1,    -1,    38,     3,
      -1,    41,    -1,    -1,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    16,    53,    54,    19,    -1,    57,    22,    23,
      -1,    25,    -1,    27,    28,    29,    -1,    31,    68,    -1,
      70,    -1,    -1,    73,    38,     3,    -1,    41,    -1,    -1,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    16,    53,
      54,    19,    -1,    57,    22,    23,    -1,    25,    -1,    27,
      28,    29,    -1,    31,    68,    -1,    70,    -1,    -1,    73,
      -1,     3,    -1,    41,    -1,    -1,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    16,    53,    54,    19,    -1,    57,
      22,    23,    -1,    25,    -1,    27,    28,    29,    -1,    31,
      -1,    -1,    70,    -1,    -1,    73,    -1,    -1,    -1,    41,
      -1,    -1,    44,    -1,    -1,    -1,    48,    49,     7,    -1,
       9,    53,    54,    12,    -1,    14,    -1,    -1,    -1,    18,
      -1,    20,    -1,    -1,     9,    24,    25,    12,    70,    -1,
      -1,    73,    -1,    32,    -1,    -1,    35,    36,    37,     6,
      25,    40,    -1,    -1,    -1,    -1,    45,    32,    47,     6,
      35,    36,    51,    52,    -1,    40,    -1,    56,     9,    -1,
      -1,    12,    47,    -1,    -1,    -1,    51,    -1,    -1,    -1,
      -1,    -1,    71,    72,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    32,    -1,    -1,    35,    36,    71,    72,    -1,    40,
      -1,    58,    59,    60,    61,    62,    63,    64,    65,    -1,
      51,    58,    59,    60,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    16,    -1,    -1,    19,
      71,    72,    22,    23,    -1,    25,    -1,    27,    28,    29,
      -1,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    41,    -1,    -1,    44,    -1,    -1,    -1,    48,    49,
      16,    -1,    -1,    53,    54,    -1,    22,    23,    -1,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      70,    -1,    -1,    73,    -1,    41,    -1,    -1,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    53,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    70
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint8 yystos[] =
{
       0,    13,    21,    26,    30,    42,    75,    76,    78,    79,
      80,    81,    83,    85,    40,   111,   111,     0,    78,     5,
      33,    34,    50,    55,    84,     6,    47,   111,     9,    35,
      36,    51,    86,    77,    25,    47,    47,    78,    82,    84,
      87,   111,    43,    88,    37,    89,    11,    90,    91,    87,
      26,    92,    93,     7,    12,    14,    18,    20,    24,    25,
      32,    45,    47,    52,    56,    71,    72,    86,    89,    96,
      97,   104,   105,   106,   107,   108,   109,   110,   111,    84,
      94,    95,    96,    92,    47,   109,    47,    47,    25,    25,
     109,   109,    47,   109,    25,    25,   109,   109,    10,    96,
       3,     4,    11,    16,    19,    22,    23,    25,    27,    28,
      29,    31,    38,    39,    41,    44,    47,    48,    49,    53,
      54,    57,    68,    70,    73,     6,    58,    59,    60,    61,
      62,    63,    64,    65,   111,    47,    11,    10,   103,   109,
     109,    43,    47,   109,   109,   109,   109,   109,   109,   109,
     109,   109,   103,   109,   109,   109,   109,   109,   109,   109,
     109,   109,   109,   109,   109,   109,   109,    40,   109,   109,
     109,   109,   109,   109,   109,   109,   109,   109,     6,    94,
      47,    43,    43,    43,    43,    46,    69,    25,   109,   103,
      97,   100,    98,   109,   103,    47,    17,    37,    97,    43,
     103,    97,     8,    15,   101,   102,    43,   109,    69,    10,
     101,    99,    69,    96,    97,    96
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint8 yyr1[] =
{
       0,    74,    75,    77,    76,    76,    78,    78,    79,    79,
      79,    80,    82,    81,    83,    83,    83,    84,    84,    84,
      84,    84,    84,    85,    86,    86,    86,    86,    87,    87,
      88,    87,    90,    89,    91,    89,    92,    92,    93,    94,
      94,    94,    95,    95,    96,    96,    97,    97,    97,    98,
      97,    99,    97,   100,    97,    97,    97,    97,    97,    97,
      97,    97,   101,   101,   102,   102,   103,   103,   104,   104,
     104,   104,   104,   104,   104,   104,   104,   105,   106,   106,
     106,   106,   106,   106,   106,   106,   106,   106,   106,   106,
     106,   106,   106,   106,   106,   106,   106,   106,   107,   107,
     107,   107,   108,   109,   109,   109,   109,   109,   109,   109,
     109,   109,   109,   110,   110,   111
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     0,     5,     1,     1,     2,     1,     1,
       1,     4,     0,     8,     1,     1,     1,     1,     1,     1,
       1,     1,     0,     5,     1,     1,     1,     1,     0,     2,
       0,     5,     0,     5,     0,     4,     1,     2,     3,     0,
       1,     3,     2,     4,     1,     2,     1,     5,     7,     0,
       6,     0,    10,     0,     8,     2,     2,     2,     2,     3,
       2,     1,     1,     2,     4,     3,     0,     1,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     5,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     2,     2,
       2,     2,     6,     1,     1,     1,     1,     1,     1,     1,
       4,     3,     4,     1,     4,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256



/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)

/* This macro is provided for backward compatibility. */
#ifndef YY_LOCATION_PRINT
# define YY_LOCATION_PRINT(File, Loc) ((void) 0)
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  yy_symbol_value_print (yyoutput, yytype, yyvaluep);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                                              );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep)
{
  YYUSE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yystacksize);

        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:
#line 172 "libs/el32/el.y" /* yacc.c:1646  */
    {	_el_mname = strdup((yyvsp[-1].name)) ;	}
#line 1652 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 11:
#line 186 "libs/el32/el.y" /* yacc.c:1646  */
    { _el_name ((yyvsp[-3].scope)|N_VAR, (yyvsp[-2].value), (yyvsp[-1].name)) ; }
#line 1658 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 12:
#line 193 "libs/el32/el.y" /* yacc.c:1646  */
    {	cfunc	= _el_name   ((yyvsp[-3].scope)|N_FUNC, (yyvsp[-2].value), (yyvsp[-1].name)) ;
			_el_newblk ()	;
			_el_maxblk = 0	;
		}
#line 1667 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 13:
#line 197 "libs/el32/el.y" /* yacc.c:1646  */
    { _el_funcd  ((yyvsp[-7].scope), cfunc, (yyvsp[0].stmt)) ; }
#line 1673 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 14:
#line 201 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.scope) = N_GLOBAL ; }
#line 1679 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 15:
#line 202 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.scope) = N_LOCAL  ; }
#line 1685 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 16:
#line 203 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.scope) = N_PUBLIC ; }
#line 1691 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 17:
#line 207 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.value) = V_ANY	; }
#line 1697 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 18:
#line 208 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.value) = V_NUM	; }
#line 1703 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 19:
#line 209 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.value) = V_DBL	; }
#line 1709 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 20:
#line 210 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.value) = V_STR	; }
#line 1715 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 21:
#line 211 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.value) = V_USER	; }
#line 1721 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 22:
#line 212 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.value) = V_ANY	; }
#line 1727 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 23:
#line 218 "libs/el32/el.y" /* yacc.c:1646  */
    {	_el_newconst ((yyvsp[-3].name), (yyvsp[-1].enode)) ;
		}
#line 1734 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 24:
#line 221 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.enode) = _el_newnumb ((yyvsp[0]._num)) ; }
#line 1740 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 25:
#line 222 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.enode) = _el_newdbl  ((yyvsp[0]._dbl)) ; }
#line 1746 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 26:
#line 223 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.enode) = _el_newstr  ((yyvsp[0]._str)) ; }
#line 1752 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 27:
#line 224 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.enode) = _el_newchar ((yyvsp[0]._str)) ; }
#line 1758 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 29:
#line 231 "libs/el32/el.y" /* yacc.c:1646  */
    {	_el_newvdef ((yyvsp[-1].value), (yyvsp[0].name), NULL) ;
		}
#line 1765 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 30:
#line 235 "libs/el32/el.y" /* yacc.c:1646  */
    {	_el_newvdef ((yyvsp[-1].value), (yyvsp[0].name), NULL) ;
		}
#line 1772 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 32:
#line 245 "libs/el32/el.y" /* yacc.c:1646  */
    { _el_newblk ()	; }
#line 1778 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 33:
#line 246 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.stmt) = _el_popblk ((yyvsp[-1].stmt)) ; }
#line 1784 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 34:
#line 247 "libs/el32/el.y" /* yacc.c:1646  */
    { _el_newblk ()	; }
#line 1790 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 35:
#line 248 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.stmt) = _el_popblk ((yyvsp[-1].stmt))	; }
#line 1796 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 42:
#line 263 "libs/el32/el.y" /* yacc.c:1646  */
    { _el_newvdef ((yyvsp[-1].value), (yyvsp[0].name), NULL) ; }
#line 1802 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 43:
#line 264 "libs/el32/el.y" /* yacc.c:1646  */
    { _el_newvdef ((yyvsp[-3].value), (yyvsp[-2].name), (yyvsp[0].enode)  ) ; }
#line 1808 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 44:
#line 267 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.stmt) = (yyvsp[0].stmt)		     ; }
#line 1814 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 45:
#line 268 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyvsp[-1].stmt)->next = (yyvsp[0].stmt) ; (yyval.stmt) = (yyvsp[-1].stmt) ; }
#line 1820 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 47:
#line 279 "libs/el32/el.y" /* yacc.c:1646  */
    {	(yyval.stmt) = _el_newif  ((yyvsp[-2].enode), (yyvsp[0].stmt), NULL) ;	}
#line 1826 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 48:
#line 282 "libs/el32/el.y" /* yacc.c:1646  */
    {	(yyval.stmt) = _el_newif  ((yyvsp[-4].enode), (yyvsp[-2].stmt),   (yyvsp[0].stmt)) ;	}
#line 1832 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 49:
#line 285 "libs/el32/el.y" /* yacc.c:1646  */
    {	_el_newiter (NULL, (yyvsp[-1].enode), NULL) ;		}
#line 1838 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 50:
#line 287 "libs/el32/el.y" /* yacc.c:1646  */
    {	(yyval.stmt) = _el_enditer ((yyvsp[0].stmt)) ;			}
#line 1844 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 51:
#line 290 "libs/el32/el.y" /* yacc.c:1646  */
    {	_el_newiter ((yyvsp[-5].enode),   (yyvsp[-3].enode),   (yyvsp[-1].enode)) ;		}
#line 1850 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 52:
#line 292 "libs/el32/el.y" /* yacc.c:1646  */
    {	(yyval.stmt) = _el_enditer ((yyvsp[0].stmt)) ;		}
#line 1856 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 53:
#line 295 "libs/el32/el.y" /* yacc.c:1646  */
    {	_el_newswitch ((yyvsp[-1].enode)) ;
		}
#line 1863 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 54:
#line 298 "libs/el32/el.y" /* yacc.c:1646  */
    {	(yyval.stmt) = _el_endswitch ((yyvsp[-1].cases)) ;
		}
#line 1870 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 55:
#line 301 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.stmt) = _el_newbc (S_BREAK) ; }
#line 1876 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 56:
#line 302 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.stmt) = _el_newbc (S_CONT ) ; }
#line 1882 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 57:
#line 303 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.stmt) = _el_newendc  ()	   ; }
#line 1888 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 58:
#line 304 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.stmt) = _el_newretn  (NULL) ; }
#line 1894 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 59:
#line 305 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.stmt) = _el_newretn  ((yyvsp[-1].enode))   ; }
#line 1900 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 60:
#line 306 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.stmt) = _el_newstand ((yyvsp[-1].enode))   ; }
#line 1906 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 61:
#line 307 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.stmt) = _el_newnulls ()	   ; }
#line 1912 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 62:
#line 310 "libs/el32/el.y" /* yacc.c:1646  */
    {		  (yyval.cases) = (yyvsp[0].cases)  ; }
#line 1918 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 63:
#line 311 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyvsp[-1].cases)->next = (yyvsp[0].cases) ; (yyval.cases) = (yyvsp[-1].cases)  ; }
#line 1924 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 64:
#line 315 "libs/el32/el.y" /* yacc.c:1646  */
    {	(yyval.cases) = _el_newcase ((yyvsp[-2].enode),   (yyvsp[0].stmt)) ; }
#line 1930 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 65:
#line 318 "libs/el32/el.y" /* yacc.c:1646  */
    {	(yyval.cases) = _el_newcase (NULL, (yyvsp[0].stmt)) ; }
#line 1936 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 66:
#line 321 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.enode) = NULL ; }
#line 1942 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 67:
#line 322 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.enode) = (yyvsp[0].enode)   ; }
#line 1948 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 68:
#line 325 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.enode) = _el_newexpr (O_ASSIGN, (yyvsp[-2].enode), (yyvsp[0].enode)  ) ; }
#line 1954 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 69:
#line 326 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.enode) = _el_newexpr (O_APLUS,  (yyvsp[-2].enode), (yyvsp[0].enode)  ) ; }
#line 1960 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 70:
#line 327 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.enode) = _el_newexpr (O_AMINUS, (yyvsp[-2].enode), (yyvsp[0].enode)  ) ; }
#line 1966 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 71:
#line 328 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.enode) = _el_newexpr (O_AMULT,  (yyvsp[-2].enode), (yyvsp[0].enode)  ) ; }
#line 1972 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 72:
#line 329 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.enode) = _el_newexpr (O_ADIV,   (yyvsp[-2].enode), (yyvsp[0].enode)  ) ; }
#line 1978 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 73:
#line 330 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.enode) = _el_newexpr (O_AREM,   (yyvsp[-2].enode), (yyvsp[0].enode)  ) ; }
#line 1984 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 74:
#line 331 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.enode) = _el_newexpr (O_AOR,    (yyvsp[-2].enode), (yyvsp[0].enode)  ) ; }
#line 1990 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 75:
#line 332 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.enode) = _el_newexpr (O_AAND,   (yyvsp[-2].enode), (yyvsp[0].enode)  ) ; }
#line 1996 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 76:
#line 333 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.enode) = _el_newexpr (O_AXOR,   (yyvsp[-2].enode), (yyvsp[0].enode)  ) ; }
#line 2002 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 77:
#line 337 "libs/el32/el.y" /* yacc.c:1646  */
    {
			(yyval.enode)		   = _el_newexpr (O_QUERY, (yyvsp[-2].enode), (yyvsp[0].enode)) ;
			(yyval.enode)->val.expr.query = (yyvsp[-4].enode) ;
		}
#line 2011 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 78:
#line 343 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.enode) = _el_newexpr (O_AND,    (yyvsp[-2].enode), (yyvsp[0].enode)  ) ; }
#line 2017 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 79:
#line 344 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.enode) = _el_newexpr (O_OR,     (yyvsp[-2].enode), (yyvsp[0].enode)  ) ; }
#line 2023 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 80:
#line 345 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.enode) = _el_newexpr (O_XOR,    (yyvsp[-2].enode), (yyvsp[0].enode)  ) ; }
#line 2029 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 81:
#line 346 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.enode) = _el_newexpr (O_ANDIF,  (yyvsp[-2].enode), (yyvsp[0].enode)  ) ; }
#line 2035 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 82:
#line 347 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.enode) = _el_newexpr (O_ORIF,   (yyvsp[-2].enode), (yyvsp[0].enode)  ) ; }
#line 2041 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 83:
#line 348 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.enode) = _el_newexpr (O_PLUS,   (yyvsp[-2].enode), (yyvsp[0].enode)  ) ; }
#line 2047 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 84:
#line 349 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.enode) = _el_newexpr (O_MINUS,  (yyvsp[-2].enode), (yyvsp[0].enode)  ) ; }
#line 2053 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 85:
#line 350 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.enode) = _el_newexpr (O_MULT,   (yyvsp[-2].enode), (yyvsp[0].enode)  ) ; }
#line 2059 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 86:
#line 351 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.enode) = _el_newexpr (O_DIV,    (yyvsp[-2].enode), (yyvsp[0].enode)  ) ; }
#line 2065 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 87:
#line 352 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.enode) = _el_newexpr (O_REM,    (yyvsp[-2].enode), (yyvsp[0].enode)  ) ; }
#line 2071 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 88:
#line 353 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.enode) = _el_newexpr (O_COMMA,  (yyvsp[-2].enode), (yyvsp[0].enode)  ) ; }
#line 2077 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 89:
#line 354 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.enode) = _el_newexpr (O_NEQ,    (yyvsp[-2].enode), (yyvsp[0].enode)  ) ; }
#line 2083 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 90:
#line 355 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.enode) = _el_newexpr (O_EQ,     (yyvsp[-2].enode), (yyvsp[0].enode)  ) ; }
#line 2089 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 91:
#line 356 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.enode) = _el_newexpr (O_LT,     (yyvsp[-2].enode), (yyvsp[0].enode)  ) ; }
#line 2095 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 92:
#line 357 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.enode) = _el_newexpr (O_LTEQ,   (yyvsp[-2].enode), (yyvsp[0].enode)  ) ; }
#line 2101 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 93:
#line 358 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.enode) = _el_newexpr (O_GT,     (yyvsp[-2].enode), (yyvsp[0].enode)  ) ; }
#line 2107 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 94:
#line 359 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.enode) = _el_newexpr (O_GTEQ,   (yyvsp[-2].enode), (yyvsp[0].enode)  ) ; }
#line 2113 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 95:
#line 360 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.enode) = _el_newexpr (O_SHL,    (yyvsp[-2].enode), (yyvsp[0].enode)  ) ; }
#line 2119 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 96:
#line 361 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.enode) = _el_newexpr (O_SHR,    (yyvsp[-2].enode), (yyvsp[0].enode)  ) ; }
#line 2125 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 97:
#line 362 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.enode) = _el_newexpr (O_MATCH,  (yyvsp[-2].enode), (yyvsp[0].enode)  ) ; }
#line 2131 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 98:
#line 365 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.enode) = _el_newexpr (O_NOT,    (yyvsp[0].enode), NULL) ; }
#line 2137 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 99:
#line 366 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.enode) = _el_newexpr (O_COMP,   (yyvsp[0].enode), NULL) ; }
#line 2143 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 100:
#line 367 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.enode) = _el_newexpr (O_VEC,    (yyvsp[0].enode), NULL) ; }
#line 2149 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 101:
#line 368 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.enode) = _el_newexpr (O_HASH,   (yyvsp[0].enode), NULL) ; }
#line 2155 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 102:
#line 372 "libs/el32/el.y" /* yacc.c:1646  */
    {
			(yyval.enode) = _el_newmethod ((yyvsp[-5].enode), (yyvsp[-3]._str), (yyvsp[-1].enode)) ;
		}
#line 2163 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 109:
#line 383 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.enode) = _el_newvar  ((yyvsp[0].name)      ) ; }
#line 2169 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 110:
#line 384 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.enode) = _el_newcall ((yyvsp[-3].enode), (yyvsp[-1].enode)  ) ; }
#line 2175 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 111:
#line 385 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.enode) = (yyvsp[-1].enode)			   ; }
#line 2181 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 112:
#line 388 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.enode) = _el_newexpr (O_SUBS,	 (yyvsp[-3].enode), (yyvsp[-1].enode)  ) ; }
#line 2187 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 113:
#line 398 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.enode) = _el_newvar  ((yyvsp[0].name))	       ; }
#line 2193 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 114:
#line 401 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.enode) = _el_newexpr (O_SUBL, (yyvsp[-3].enode), (yyvsp[-1].enode)) ; }
#line 2199 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;

  case 115:
#line 404 "libs/el32/el.y" /* yacc.c:1646  */
    { (yyval.name) = (yyvsp[0]._str) ; }
#line 2205 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
    break;


#line 2209 "build/qt3/libs/el32/el.tab.cpp" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }



  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 406 "libs/el32/el.y" /* yacc.c:1906  */


#define		YY_NEVER_INTERACTIVE	1
#include	"lex.el_yy.c"

int	el_yywrap ()
{
	return	1 ;
}

//void	_el_yyhack ()
//{
//	YY_FLUSH_BUFFER ;
//}
